Package com.verisign.epp.interfaces

## Class EPPPersRegTst

- java.lang.Object
- - com.verisign.epp.interfaces.EPPPersRegTst

-     public class EPPPersRegTst
      extends java.lang.Object

  Is a unit test of the using the Personal Registration Extension classes with the `EPPDomain` class `EPPEmailFwd` class. The unit test will initialize a session with an EPP Server, will invoke `EPPDomain` operations and `EPPEmailFwd` with Personal Registration Extensions, and will end a session with an EPP Server. The configuration file used by the unit test defaults to epp.config, but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
  java com.verisign.epp.interfaces.EPPPersRegTst -Dthreads=2 ../../epp.config
  The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPPersRegTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPPersRegTst`.
    `void` | `handleException​(java.lang.Exception aException)` | Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `java.lang.String` | `makeDomainName()` | This method tries to generate a unique String as Domain Name and Name Server
    `java.lang.String` | `makeEmail()` | This method tries to generate a unique String as Domain Name and Name Server
    `void` | `persRegCreate()` | Unit test of using the Personal Registration Extensions with `EPPDomain` Create and `EPPEmailFwd` Create.
    `void` | `persRegErrCreate()` | Unit test of using the Personal Registration Extensions with `EPPDomain` Create and `EPPEmailFwd` Create for error response.
    `void` | `persRegInfo()` | Unit test of using the Personal Registration Extensions with `EPPDomain` Info and `EPPEmailFwd` Info.
    `void` | `persRegRenew()` | Unit test of using the Personal Registration Extensions with `EPPDomain` Renew and `EPPEmailFwd` Renew.
    `void` | `persRegTransfer()` | Unit test of using the Personal Registration Extensions with `EPPDomain` Transfer and `EPPEmailFwd` Transfer.
    `void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
    `void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testPersReg()` | JUNIT test method to implement the `EPPPersRegTst TestCase`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPPersRegTst

          public EPPPersRegTst()

  - ### Method Detail

    - #### testPersReg

          public void testPersReg()

      JUNIT test method to implement the `EPPPersRegTst TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPDomain interface.

    - #### persRegInfo

          public void persRegInfo()

      Unit test of using the Personal Registration Extensions with `EPPDomain` Info and `EPPEmailFwd` Info.

    - #### persRegCreate

          public void persRegCreate()

      Unit test of using the Personal Registration Extensions with `EPPDomain` Create and `EPPEmailFwd` Create.

    - #### persRegErrCreate

          public void persRegErrCreate()

      Unit test of using the Personal Registration Extensions with `EPPDomain` Create and `EPPEmailFwd` Create for error response. The Server Stub will use the Personal Registration Extension when passing a Domain or Email containing the string "error".

    - #### persRegRenew

          public void persRegRenew()

      Unit test of using the Personal Registration Extensions with `EPPDomain` Renew and `EPPEmailFwd` Renew.

    - #### persRegTransfer

          public void persRegTransfer()

      Unit test of using the Personal Registration Extensions with `EPPDomain` Transfer and `EPPEmailFwd` Transfer.

    - #### setUp

          public void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar".

    - #### tearDown

          public void tearDown()

      JUNIT `tearDown`, which currently does nothing.

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPPersRegTst`.

    - #### handleException

          public void handleException​(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :Response XML" will be specified. If the exception was caused by a general algorithm error, "General Error :Exception Description" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### makeDomainName

          public java.lang.String makeDomainName()

      This method tries to generate a unique String as Domain Name and Name Server
      Returns:
        DOCUMENT ME!

    - #### makeEmail

          public java.lang.String makeEmail()

      This method tries to generate a unique String as Domain Name and Name Server
      Returns:
        DOCUMENT ME!